#include "main.h"

#include "kpuzzle.h"
#include <kapp.h>

#include <stdlib.h>
#include <time.h>

int main(int argc, char *argv[])
{
	srand(time(NULL));

	KApplication app(argc, argv, "kpuzzle");

	// All session management is handled in the RESTORE macro
	if (app.isRestored())
	{
		RESTORE(KPuzzle)
	}
	else
	{
		KPuzzle *widget = new KPuzzle;
		widget->show();
	}

	return app.exec();
}
